#!/usr/bin/python3

# link        https://www.zibris.ch
# copyright   Zibris AG
# author      Michael Kleger <m.kleger@zibris.ch>

# -*- encoding: utf-8; py-indent-offset: 4 -*-

register_notification_parameters("4me", Dictionary(
    elements = [
        ("APIUrl", DropdownChoice(
                            title = _("API Url"),
                            choices = [
                                ("https://api.4me.com/v1", _("Production Global - https://api.4me.com/v1")),
                                ("https://api.au.4me.com/v1", _("Production Australia - https://api.au.4me.com/v1")),
                                ("https://api.4me.qa/v1", _("Quality Assurance Global - https://api.4me.qa/v1")),
                                ("https://api.au.4me.qa/v1", _("Quality Assurance Australia - https://api.au.4me.qa/v1")),
                                ("https://api.4me-demo.com/v1", _("Demo Global - https://api.4me-demo.com/v1")),
                            ] )),
        ("APIKey", TextAscii(
            title = _("API Key"),
            help = _("API Key"),
            allow_empty = False,
        )),
        ("APIAccountID", TextAscii(
            title = _("API Account ID"),
            help = _("API Account ID"),
            allow_empty = False,
        )),
        ("4MECategory", DropdownChoice(
                            title = _("4me Category"),
                            choices = [
                                ("reactive", _("Reactive - Existing Problem")),
                                ("proactive", _("Proactive - Anticipated Problem")),
                            ] )),
        ("4METeamID", TextAscii(
            title = _("4me Team ID"),
            help = _("The ID that is displayed in the team url"),
            allow_empty = False,
        )),
        ("4MESID", TextAscii(
            title = _("4me Service ID"),
            help = _("The ID that is displayed in the service url"),
            allow_empty = False,
        )),
    ]
))